Run of lintian-fixes for python-hyperframe

Try this locally (using the lintian-brush package):

debcheckout python-hyperframe
cd python-hyperframe
lintian-brush

Merge these changes:

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index 91547ad..b004bdc 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+python-hyperframe (5.2.0-5) UNRELEASED; urgency=low
+
+  * Bump debhelper from deprecated 9 to 12.
+  * Set debhelper-compat version in Build-Depends.
+  * Set upstream metadata fields: Bug-Database, Bug-Submit.
+  * Update standards version to 4.5.0, no changes needed.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Mon, 17 Aug 2020 23:05:35 -0000
+
 python-hyperframe (5.2.0-4) unstable; urgency=medium
 
   * Update changelog for 5.2.0-3 release
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index ec63514..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-9
diff --git a/debian/control b/debian/control
index a3ff6ea..d604bb3 100644
--- a/debian/control
+++ b/debian/control
@@ -2,8 +2,8 @@ Source: python-hyperframe
 Section: python
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools, python3-pytest
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-pytest
+Standards-Version: 4.5.0
 Homepage: https://github.com/Lukasa/hyper
 Vcs-Git: https://salsa.debian.org/debian/python-hyperframe.git
 Vcs-Browser: https://salsa.debian.org/debian/python-hyperframe
diff --git a/debian/upstream/metadata b/debian/upstream/metadata
new file mode 100644
index 0000000..cbc6f8a
--- /dev/null
+++ b/debian/upstream/metadata
@@ -0,0 +1,3 @@
+---
+Bug-Database: https://github.com/Lukasa/hyper/issues
+Bug-Submit: https://github.com/Lukasa/hyper/issues/new

Full worker log